<script setup>
import { Head, Link, router } from '@inertiajs/vue3';
import AppLayout from '@/Layouts/AppLayout.vue';
import Pagination from '@/Components/Pagination.vue';
import { ref, watch } from 'vue';

const props = defineProps({
    items: {
        type: Object,
        default: {},
    }
});

const filter = ref({
    number: route().params?.like?.number,
    transacted_at: route().params?.like?.transacted_at,
});

watch(filter, () => {
    router.get(
        route('product-incomes.index'),
        {
            like: {
                number: filter.value.number
            },
            whereDate: {
                transacted_at: filter.value.transacted_at
            }
        },
        { preserveState: true }
    )
}, {deep: true});
</script>

<template>
    <Head title="Документы: Приход товаров"/>

    <AppLayout>
        <template #breadcrumb>
            Документы: Приход товаров / Список
        </template>
        <div class="d-flex flex-row py-2 gap-2">
            <Link :href="route('product-incomes.create')" class="btn btn-sm btn-success">Создать</Link>
            <div class="input-group input-group-sm">
                <input type="text" class="form-control" placeholder="Номер" v-model="filter.number">
                <button class="btn btn-danger" type="button" @click="filter.number = ''">
                    <svg xmlns="http://www.w3.org/2000/svg" width="21" height="21" fill="currentColor" class="bi bi-x-lg" viewBox="0 0 16 16">
                        <path d="M2.146 2.854a.5.5 0 1 1 .708-.708L8 7.293l5.146-5.147a.5.5 0 0 1 .708.708L8.707 8l5.147 5.146a.5.5 0 0 1-.708.708L8 8.707l-5.146 5.147a.5.5 0 0 1-.708-.708L7.293 8 2.146 2.854Z"/>
                    </svg>
                </button>
            </div>
            <div class="input-group input-group-sm">
                <input type="date" class="form-control" placeholder="Дата проведеня" v-model="filter.transacted_at">
                <button class="btn btn-danger" type="button" @click="filter.transacted_at = ''">
                    <svg xmlns="http://www.w3.org/2000/svg" width="21" height="21" fill="currentColor" class="bi bi-x-lg" viewBox="0 0 16 16">
                        <path d="M2.146 2.854a.5.5 0 1 1 .708-.708L8 7.293l5.146-5.147a.5.5 0 0 1 .708.708L8.707 8l5.147 5.146a.5.5 0 0 1-.708.708L8 8.707l-5.146 5.147a.5.5 0 0 1-.708-.708L7.293 8 2.146 2.854Z"/>
                    </svg>
                </button>
            </div>
        </div>

        <div class="table-responsive">
            <table class="table table-striped table-hover mb-0">
                <thead>
                    <tr>
                        <th scope="col" style="width: 1%;">#</th>
                        <th scope="col">Номер</th>
                        <th scope="col">Дата изменеия</th>
                        <th scope="col">Дата проведеня</th>
                        <th scope="col">Сумма</th>
                        <th scope="col" style="width: 1%;"></th>
                    </tr>
                </thead>
                <tbody>
                    <tr v-for="(item, index) in props.items?.data" :key="item.id">
                        <th scope="row" v-html="props.items?.from + index"/>
                        <td>
                            <Link :href="route('product-incomes.edit', item.id)" v-html="item.number" class="d-block"/>
                        </td>
                        <td v-html="item.updated_at"/>
                        <td v-html="item.transacted_at"/>
                        <td v-html="(+item.amount).toLocaleString()"/>
                        <td>
                            <Link v-if="item.transacted_at === null" as="button" method="delete" :href="route('product-incomes.destroy', item.id)" class="btn btn-sm p-0 d-flex">
                                <svg xmlns="http://www.w3.org/2000/svg" width="22" height="22" fill="currentColor" class="bi bi-x-octagon-fill text-danger" viewBox="0 0 16 16">
                                    <path d="M11.46.146A.5.5 0 0 0 11.107 0H4.893a.5.5 0 0 0-.353.146L.146 4.54A.5.5 0 0 0 0 4.893v6.214a.5.5 0 0 0 .146.353l4.394 4.394a.5.5 0 0 0 .353.146h6.214a.5.5 0 0 0 .353-.146l4.394-4.394a.5.5 0 0 0 .146-.353V4.893a.5.5 0 0 0-.146-.353L11.46.146zm-6.106 4.5L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 1 1 .708-.708z"/>
                                </svg>
                            </Link>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <Pagination :links="props.items.links" class="my-2"/>
    </AppLayout>
</template>

<style scoped>
.table-responsive {
    overflow: auto;
    height: calc(100vh - 9rem);
}
</style>
